Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing
Class AmazonElasticLoadBalancingAsyncClient

    java.lang.Object
      com.amazonaws.AmazonWebServiceClient
          com.amazonaws.services.elasticloadbalancing.AmazonElasticLoadBalancingClient
              com.amazonaws.services.elasticloadbalancing.AmazonElasticLoadBalancingAsyncClient

All Implemented Interfaces:
  AmazonElasticLoadBalancing, AmazonElasticLoadBalancingAsync

    public class AmazonElasticLoadBalancingAsyncClient

extends AmazonElasticLoadBalancingClient
implements AmazonElasticLoadBalancingAsync

Client for accessing AmazonElasticLoadBalancing. All calls made using this client are non-blocking and will immediately return a Java Future. Callers must use the Future object to determine when the service call has actually completed.

Constructor Summary
`AmazonElasticLoadBalancingAsyncClient(AWSCredentials awsCredentials)` Constructs a new asynchronous client to invoke service methods on AmazonElasticLoadBalancing using the specified AWS account credentials.
`AmazonElasticLoadBalancingAsyncClient(AWSCredentials awsCredentials, ClientConfiguration clientConfiguration, ExecutorService executorService)` Constructs a new asynchronous client to invoke service methods on AmazonElasticLoadBalancing using the specified AWS account credentials, executor service, and client configuration options.
`AmazonElasticLoadBalancingAsyncClient(AWSCredentials awsCredentials, ExecutorService executorService)` Constructs a new asynchronous client to invoke service methods on AmazonElasticLoadBalancing using the specified AWS account credentials and executor service.

Method Summary
`Future<ConfigureHealthCheckResult>` | `configureHealthCheckAsync(ConfigureHealthCheckRequest configureHealthCheckRequest)`
`Future<CreateAppCookieStickinessPolicyResult>` | `createAppCookieStickinessPolicyAsync(CreateAppCookieStickinessPolicyRequest createAppCookieStickinessPolicyRequest)`
`Future<CreateLBCookieStickinessPolicyResult>` | `createLBCookieStickinessPolicyAsync(CreateLBCookieStickinessPolicyRequest createLBCookieStickinessPolicyRequest)`
`Future<CreateLoadBalancerResult>` | `createLoadBalancerAsync(CreateLoadBalancerRequest createLoadBalancerRequest)`
`Future<Void>` | `deleteLoadBalancerAsync(DeleteLoadBalancerRequest deleteLoadBalancerRequest)`
`Future<DeleteLoadBalancerPolicyResult>` | `deleteLoadBalancerPolicyAsync(DeleteLoadBalancerPolicyRequest deleteLoadBalancerPolicyRequest)`
`Future<DeregisterInstancesFromLoadBalancerResult>` | `deregisterInstancesFromLoadBalancerAsync(DeregisterInstancesFromLoadBalancerRequest deregisterInstancesFromLoadBalancerRequest)`
`Future<DescribeInstanceHealthResult>` | `describeInstanceHealthAsync(DescribeInstanceHealthRequest describeInstanceHealthRequest)`
`Future<DescribeLoadBalancersResult>` | `describeLoadBalancersAsync(DescribeLoadBalancersRequest describeLoadBalancersRequest)`
`Future<DisableAvailabilityZonesForLoadBalancerResult>` | `disableAvailabilityZonesForLoadBalancerAsync(DisableAvailabilityZonesForLoadBalancerRequest disableAvailabilityZonesForLoadBalancerRequest)`
`Future<EnableAvailabilityZonesForLoadBalancerResult>` | `enableAvailabilityZonesForLoadBalancerAsync(EnableAvailabilityZonesForLoadBalancerRequest enableAvailabilityZonesForLoadBalancerRequest)`
`ExecutorService` | `getExecutorService()` Returns the executor service used by this async client to execute requests.
`Future<RegisterInstancesWithLoadBalancerResult>` | `registerInstancesWithLoadBalancerAsync(RegisterInstancesWithLoadBalancerRequest registerInstancesWithLoadBalancerRequest)`
`Future<SetLoadBalancerPoliciesOfListenerResult>` | `setLoadBalancerPoliciesOfListenerAsync(SetLoadBalancerPoliciesOfListenerRequest setLoadBalancerPoliciesOfListenerRequest)`

Methods inherited from class com.amazonaws.services.elasticloadbalancing.AmazonElasticLoadBalancingClient
`configureHealthCheck, createAppCookieStickinessPolicy, createLBCookieStickinessPolicy, createLoadBalancer, deleteLoadBalancer, deleteLoadBalancerPolicy, deregisterInstancesFromLoadBalancer, describeInstanceHealth, describeLoadBalancers, describeLoadBalancers, disableAvailabilityZonesForLoadBalancer, enableAvailabilityZonesForLoadBalancer, registerInstancesWithLoadBalancer, setLoadBalancerPoliciesOfListener`

Methods inherited from class com.amazonaws.AmazonWebServiceClient
`setEndpoint, shutdown`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.amazonaws.services.elasticloadbalancing.AmazonElasticLoadBalancing
`configureHealthCheck, createAppCookieStickinessPolicy, createLBCookieStickinessPolicy, createLoadBalancer, deleteLoadBalancer, deleteLoadBalancerPolicy, deregisterInstancesFromLoadBalancer, describeInstanceHealth, describeLoadBalancers, describeLoadBalancers, disableAvailabilityZonesForLoadBalancer, enableAvailabilityZonesForLoadBalancer, registerInstancesWithLoadBalancer, setEndpoint, setLoadBalancerPoliciesOfListener, shutdown`

Constructor Detail

### AmazonElasticLoadBalancingAsyncClient

    public AmazonElasticLoadBalancingAsyncClient(AWSCredentials awsCredentials)

  Constructs a new asynchronous client to invoke service methods on AmazonElasticLoadBalancing using the specified AWS account credentials. Default client settings will be used, and a default cached thread pool will be created for executing the asynchronous tasks.

  All calls made using this new client object are non-blocking, and will immediately return a Java Future object that the caller can later check to see if the service call has actually completed.

  Parameters:
    `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.

### AmazonElasticLoadBalancingAsyncClient

    public AmazonElasticLoadBalancingAsyncClient(AWSCredentials awsCredentials,
                                                 ExecutorService executorService)

  Constructs a new asynchronous client to invoke service methods on AmazonElasticLoadBalancing using the specified AWS account credentials and executor service. Default client settings will be used.

  All calls made using this new client object are non-blocking, and will immediately return a Java Future object that the caller can later check to see if the service call has actually completed.

  Parameters:
    `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.
    `executorService` - The executor service by which all asynchronous requests will be executed.

### AmazonElasticLoadBalancingAsyncClient

    public AmazonElasticLoadBalancingAsyncClient(AWSCredentials awsCredentials,
                                                 ClientConfiguration clientConfiguration,
                                                 ExecutorService executorService)

  Constructs a new asynchronous client to invoke service methods on AmazonElasticLoadBalancing using the specified AWS account credentials, executor service, and client configuration options.

  All calls made using this new client object are non-blocking, and will immediately return a Java Future object that the caller can later check to see if the service call has actually completed.

  Parameters:
    `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.
    `clientConfiguration` - Client configuration options (ex: max retry limit, proxy settings, etc).
    `executorService` - The executor service by which all asynchronous requests will be executed.

Method Detail

### getExecutorService

    public ExecutorService getExecutorService()

  Returns the executor service used by this async client to execute requests.

  Returns:
    The executor service used by this async client to execute requests.

### setLoadBalancerPoliciesOfListenerAsync

    public Future<SetLoadBalancerPoliciesOfListenerResult> setLoadBalancerPoliciesOfListenerAsync(SetLoadBalancerPoliciesOfListenerRequest setLoadBalancerPoliciesOfListenerRequest)
                                                                                           throws AmazonServiceException,
                                                                                                  AmazonClientException

  Specified by:
    `setLoadBalancerPoliciesOfListenerAsync` in interface `AmazonElasticLoadBalancingAsync`
  Parameters:
    `setLoadBalancerPoliciesOfListenerRequest` - Container for the necessary parameters to execute the SetLoadBalancerPoliciesOfListener operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the SetLoadBalancerPoliciesOfListener service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### describeLoadBalancersAsync

    public Future<DescribeLoadBalancersResult> describeLoadBalancersAsync(DescribeLoadBalancersRequest describeLoadBalancersRequest)
                                                                   throws AmazonServiceException,
                                                                          AmazonClientException

  Specified by:
    `describeLoadBalancersAsync` in interface `AmazonElasticLoadBalancingAsync`
  Parameters:
    `describeLoadBalancersRequest` - Container for the necessary parameters to execute the DescribeLoadBalancers operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the DescribeLoadBalancers service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### createAppCookieStickinessPolicyAsync

    public Future<CreateAppCookieStickinessPolicyResult> createAppCookieStickinessPolicyAsync(CreateAppCookieStickinessPolicyRequest createAppCookieStickinessPolicyRequest)
                                                                                       throws AmazonServiceException,
                                                                                              AmazonClientException

  Specified by:
    `createAppCookieStickinessPolicyAsync` in interface `AmazonElasticLoadBalancingAsync`
  Parameters:
    `createAppCookieStickinessPolicyRequest` - Container for the necessary parameters to execute the CreateAppCookieStickinessPolicy operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the CreateAppCookieStickinessPolicy service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### disableAvailabilityZonesForLoadBalancerAsync

    public Future<DisableAvailabilityZonesForLoadBalancerResult> disableAvailabilityZonesForLoadBalancerAsync(DisableAvailabilityZonesForLoadBalancerRequest disableAvailabilityZonesForLoadBalancerRequest)
                                                                                                       throws AmazonServiceException,
                                                                                                              AmazonClientException

  Specified by:
    `disableAvailabilityZonesForLoadBalancerAsync` in interface `AmazonElasticLoadBalancingAsync`
  Parameters:
    `disableAvailabilityZonesForLoadBalancerRequest` - Container for the necessary parameters to execute the DisableAvailabilityZonesForLoadBalancer operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the DisableAvailabilityZonesForLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### describeInstanceHealthAsync

    public Future<DescribeInstanceHealthResult> describeInstanceHealthAsync(DescribeInstanceHealthRequest describeInstanceHealthRequest)
                                                                     throws AmazonServiceException,
                                                                            AmazonClientException

  Specified by:
    `describeInstanceHealthAsync` in interface `AmazonElasticLoadBalancingAsync`
  Parameters:
    `describeInstanceHealthRequest` - Container for the necessary parameters to execute the DescribeInstanceHealth operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the DescribeInstanceHealth service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### createLoadBalancerAsync

    public Future<CreateLoadBalancerResult> createLoadBalancerAsync(CreateLoadBalancerRequest createLoadBalancerRequest)
                                                             throws AmazonServiceException,
                                                                    AmazonClientException

  Specified by:
    `createLoadBalancerAsync` in interface `AmazonElasticLoadBalancingAsync`
  Parameters:
    `createLoadBalancerRequest` - Container for the necessary parameters to execute the CreateLoadBalancer operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the CreateLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### registerInstancesWithLoadBalancerAsync

    public Future<RegisterInstancesWithLoadBalancerResult> registerInstancesWithLoadBalancerAsync(RegisterInstancesWithLoadBalancerRequest registerInstancesWithLoadBalancerRequest)
                                                                                           throws AmazonServiceException,
                                                                                                  AmazonClientException

  Specified by:
    `registerInstancesWithLoadBalancerAsync` in interface `AmazonElasticLoadBalancingAsync`
  Parameters:
    `registerInstancesWithLoadBalancerRequest` - Container for the necessary parameters to execute the RegisterInstancesWithLoadBalancer operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the RegisterInstancesWithLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### deregisterInstancesFromLoadBalancerAsync

    public Future<DeregisterInstancesFromLoadBalancerResult> deregisterInstancesFromLoadBalancerAsync(DeregisterInstancesFromLoadBalancerRequest deregisterInstancesFromLoadBalancerRequest)
                                                                                               throws AmazonServiceException,
                                                                                                      AmazonClientException

  Specified by:
    `deregisterInstancesFromLoadBalancerAsync` in interface `AmazonElasticLoadBalancingAsync`
  Parameters:
    `deregisterInstancesFromLoadBalancerRequest` - Container for the necessary parameters to execute the DeregisterInstancesFromLoadBalancer operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the DeregisterInstancesFromLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### deleteLoadBalancerAsync

    public Future<Void> deleteLoadBalancerAsync(DeleteLoadBalancerRequest deleteLoadBalancerRequest)
                                         throws AmazonServiceException,
                                                AmazonClientException

  Specified by:
    `deleteLoadBalancerAsync` in interface `AmazonElasticLoadBalancingAsync`
  Parameters:
    `deleteLoadBalancerRequest` - Container for the necessary parameters to execute the DeleteLoadBalancer operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the DeleteLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### configureHealthCheckAsync

    public Future<ConfigureHealthCheckResult> configureHealthCheckAsync(ConfigureHealthCheckRequest configureHealthCheckRequest)
                                                                 throws AmazonServiceException,
                                                                        AmazonClientException

  Specified by:
    `configureHealthCheckAsync` in interface `AmazonElasticLoadBalancingAsync`
  Parameters:
    `configureHealthCheckRequest` - Container for the necessary parameters to execute the ConfigureHealthCheck operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the ConfigureHealthCheck service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### enableAvailabilityZonesForLoadBalancerAsync

    public Future<EnableAvailabilityZonesForLoadBalancerResult> enableAvailabilityZonesForLoadBalancerAsync(EnableAvailabilityZonesForLoadBalancerRequest enableAvailabilityZonesForLoadBalancerRequest)
                                                                                                     throws AmazonServiceException,
                                                                                                            AmazonClientException

  Specified by:
    `enableAvailabilityZonesForLoadBalancerAsync` in interface `AmazonElasticLoadBalancingAsync`
  Parameters:
    `enableAvailabilityZonesForLoadBalancerRequest` - Container for the necessary parameters to execute the EnableAvailabilityZonesForLoadBalancer operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the EnableAvailabilityZonesForLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### createLBCookieStickinessPolicyAsync

    public Future<CreateLBCookieStickinessPolicyResult> createLBCookieStickinessPolicyAsync(CreateLBCookieStickinessPolicyRequest createLBCookieStickinessPolicyRequest)
                                                                                     throws AmazonServiceException,
                                                                                            AmazonClientException

  Specified by:
    `createLBCookieStickinessPolicyAsync` in interface `AmazonElasticLoadBalancingAsync`
  Parameters:
    `createLBCookieStickinessPolicyRequest` - Container for the necessary parameters to execute the CreateLBCookieStickinessPolicy operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the CreateLBCookieStickinessPolicy service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### deleteLoadBalancerPolicyAsync

    public Future<DeleteLoadBalancerPolicyResult> deleteLoadBalancerPolicyAsync(DeleteLoadBalancerPolicyRequest deleteLoadBalancerPolicyRequest)
                                                                         throws AmazonServiceException,
                                                                                AmazonClientException

  Specified by:
    `deleteLoadBalancerPolicyAsync` in interface `AmazonElasticLoadBalancingAsync`
  Parameters:
    `deleteLoadBalancerPolicyRequest` - Container for the necessary parameters to execute the DeleteLoadBalancerPolicy operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the DeleteLoadBalancerPolicy service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.